export type CSSValueType = 'angle' | 'integer' | 'length' | 'percent' | 'time';
export declare const DEFAULT_CSS_VALUE_TYPE: CSSValueType;
export declare const DEFAULT_UNIT_BY_CSS_VALUE_TYPE: Readonly<{
    angle: "deg";
    integer: "";
    length: "px";
    percent: "%";
    time: "s";
}>;
export type Payload = {
    cssValueType: CSSValueType;
    defaultUnit?: string;
    value: number | string;
};
export declare const roundToPrecision: (value: number, precision: number) => number;
export declare const getUnitFromCSSValue: ({ cssValueType, defaultUnit, value, }: Payload) => string;
export declare const getCSSValueAsNumber: (value: number | string) => number;
export declare const getCSSValueWithUnit: (payload: Payload) => string;
export declare const getMillisecondsFromCSSValue: (value: number | string) => number;
